Summary:	VMMouse protocol for VMware virtual machines
Summary(pl.UTF-8):	Sterownik protokołu VMMouse dla maszyn wirtualnych VMware
Name:		xorg-driver-input-vmmouse
Version:	13.1.0
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.bz2
# Source0-md5:	85e2e464b7219c495ad3a16465c226ed
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.6.0
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.6.0
ExclusiveArch:	%{ix86} %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

%description -l pl.UTF-8
Sterownik VMMouse dodaje obsługę specjalnego protokołu VMMouse
udostępnianego przez maszyny wirtualne VMware do przekazywania
bezwzględnego położenia wskaźnika.

%prep
%setup -q -n xf86-input-vmmouse-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-udev-rules-dir=/lib/udev/rules.d

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

# obsolete HAL files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/hal/hal-probe-vmmouse \
	$RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/vmmouse_detect
%attr(755,root,root) %{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_datadir}/X11/xorg.conf.d/50-vmmouse.conf
/lib/udev/rules.d/69-xorg-vmmouse.rules
%{_mandir}/man1/vmmouse_detect.1*
%{_mandir}/man4/vmmouse.4*
%changelog
* Tue Jul 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-input-vmmouse.git;a=log;h=master

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> 5a69a8c
- add x32 arch
- removed obsolete hal support
- rel 2

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 37a9aee
- updated to 13.1.0

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d299a0
- xserver rebuild
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f497b95
- xserver rebuild
- release 4 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 04ea3eb
- release 3 (by relup.sh)

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f01d61e
- release 2 (by relup.sh)

* Wed Jan 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 0b24c1e
- updated to 13.0.0

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f40abb
- release 2 (by relup.sh)

* Thu May 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d8fea9
- updated to 12.9.0

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> c3ccd9d
- updated to 12.8.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 912eb34
- release 4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f2f8344
- release 3

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 380b9c9
- rel 2
- drop hal support (obsolete, use udev)

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> d5bf7cc
- updated to 12.7.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ffa5f28
- up to 12.6.99.901

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 421517d
- release 2

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> cb14f11
- updated to 12.6.10

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f396ed
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d041d96
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e00265
- release 2

